{% extends "_base.html" %} {% block content %}
<div class="editbook">
  <form method="POST" enctype="multipart/form-data">
    {{ form.hidden_tag() }}
    <p class="form-group">
      {{ form.title.label(class="form-label") }}<br />
      {{ form.title(class="form-control") }}<br />
      {% for error in form.title.errors %}
      <span class="form-error">[{{ error }}]</span>
      {% endfor %}
    </p>
    <p class="form-group">
      {{ form.author.label(class="form-label") }}<br />
      {{ form.author(class="form-control") }}<br />
      {% for error in form.author.errors %}
      <span class="form-error">[{{ error }}]</span>
      {% endfor %}
    </p>
    <p class="form-group">
      {{ form.description.label(class="form-label") }}<br />
      {{ form.description(class="form-control") }}<br />
      {% for error in form.description.errors %}
      <span class="form-error">[{{ error }}]</span>
      {% endfor %}
    </p>
    <p class="form-group">
      {{ form.published_date.label(class="form-label") }}<br />
      {{ form.published_date(class="form-control") }}<br />
      {% for error in form.published_date.errors %}
      <span class="form-error">[{{ error }}]</span>
      {% endfor %}
    </p>
    <p class="form-group">
      {{ form.image.label(class="form-label") }}<br />
      {{ form.image(class="form-control") }}<br />
      <img
        id="preview"
        src="data:image/jpeg;base64,{{ image_data|safe }}"
        alt="Book image"
        class="form-image"
      />
      {% for error in form.image.errors %}
      <span class="form-error">[{{ error }}]</span>
      {% endfor %}
    </p>
    <p><input type="submit" value="Update Book" class="editbook--submit" /></p>
  </form>
</div>
<script src="{{ url_for('static', filename='js/previewImage.js') }}"></script>
{% endblock %}
